All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider
Interface HttpActionProviderInterface

All Known Subinterfaces:
  HttpActionProviderViewInterface

All Known Implementing Classes:
  AbstractBaseTableView, AbstractSelectorContainer, ActionProviderMenuBar, BarChart, BarChartComposite, BarLineChart, BarLineChartComposite, BaseActionCompositeTransformation, com.sas.servlet.tbeans.BaseActionCompositeTransformation2, BaseActionTransformation, com.sas.servlet.tbeans.BaseActionTransformation2, com.sas.servlet.tbeans.graphics.BaseBarChart, BaseBarLineChart, BaseCalculatedItemSelectorPanel, BaseCompositeTransformation, com.sas.servlet.tbeans.BaseCompositeTransformation2, BaseDataSelector, BaseDualSelector, BaseESRIMapChart, BaseExpandCollapse, BaseExpressionEditor, com.sas.servlet.tbeans.graphics.BaseGraph, com.sas.servlet.tbeans.graphics.BaseGraphics, BaseLabel, BaseLineChart, BaseLinePlot, BaseListEditor, BaseNavigationBar, BaseNavigationBarElement, BaseOLAPDrillState, BaseOLAPTableView, BasePieChart, BaseRadarChart, BaseRemoteFileSearch, BaseRemoteFileSelector, BaseRemoteFileToolBar, BaseScatterPlot, BaseSelectorPanel, BaseTableView, BaseTileChart, BaseWaterfallChart, CellContentsLabelRenderer, CellContentsNoRowsRenderer, CheckBoxListPropertyEditor, DataSelector, DataSelectorListBoxView, DefaultOLAPTableDataCellContentsRenderer, DefaultOLAPTableLabelCellContentsRenderer, DualListSelector, DualSelector, DualTreeSelector, EntityAttributeValueSelector, EntityAttributeValueSelectorPanel, ESRIMapChart, ESRIMapComposite, ESRIMapMenu, ExceptionHighlightingChartSelector, ExceptionHighlightingChartSelectorPanel, ExceptionHighlightingSelector, ExceptionHighlightingSelectorPanel, ExpandCollapse, ExportSelector, ExportSelectorPanel, FilterAndRankSelector, FilterAndRankSelectorPanel, FindSelector, FindSelectorPanel, GraphComposite, HttpViewerSupport, InformationServicesSearch, InformationServicesSelector, Label, LineChart, LineChartComposite, LinePlot, LinePlotComposite, ListBoxViewPropertyEditor, ListEditor, MapCrossingSelector, MapCrossingSelectorPanel, MapPropertySelector, MapPropertySelectorPanel, MemberPropertiesSelector, MemberPropertiesSelectorPanel, NavigationBar, NavigationBarColumnScrollingElement, NavigationBarEditingElement, NavigationBarRowScrollingElement, NavigationBarScrollingElement, OLAPDrillState, OLAPESRIMapChart, OLAPESRIMapComposite, OLAPESRIMapMenu, com.sas.servlet.tbeans.olapgraphics.html.OLAPGraphComposite, OLAPMenuBar, OLAPTableView, OLAPTableViewComposite, OLAPTimeBasedFilterSelector, OLAPTimeBasedFilterSelectorPanel, PercentCalculationsSelector, PercentCalculationsSelectorListBoxView, PercentCalculationsSelectorPanel, PieChart, PieChartComposite, RadarChart, RadarChartComposite, RelationalMenuBar, RemoteFileSearch, RemoteFileSelector, RemoteFileToolBar, ScatterPlot, ScatterPlotComposite, SelectorPanel, ShowDetailDataComposite, SimpleCalculatedItemSelector, SimpleCalculatedItemSelectorPanel, SortSelector, SortSelectorPanel, TableColumnNavigationBar, TableRowNavigationBar, TableView, TableView, TableView, TableViewComposite, TextAction, TextEntryPropertyEditor, TileChart, TreeListSelector, WaterfallChart, WaterfallChartComposite

    public interface HttpActionProviderInterface

The interface is implemented by all Transformation Bean Components that need to hold a reference to an `HttpActionProvider` object.

A basic understanding of the ActionProvider Framework, of which this class is a part, is recommended before attempting to use this class.

- For general information on the ActionProvider Framework, including an overview of how the primary classes of the framework work together, refer to the ``com.sas.actionprovider`` package documentation.

- For examples demonstrating how to use the ActionProvider Framework, including how to override default Actions or add new custom Actions, refer to the Samples Site.

Visit the AppDev Studio Developer's Site to access step-by-step examples, white papers and additional usage information at http://support.sas.com/rnd/appdev/.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.0

Method Summary
`HttpActionProvider` | `getActionProvider()` Returns the ActionProvider object
`javax.servlet.http.HttpServletRequest` | `getRequest()` Returns the Viewer's request object
`void` | `setActionProvider(HttpActionProvider actionProvider)` Sets the ActionProvider object
`void` | `setRequest(javax.servlet.http.HttpServletRequest request)` Sets the Viewer's request object.

Method Detail

### setActionProvider

    void setActionProvider(HttpActionProvider actionProvider)

  Sets the ActionProvider object

  Parameters:
    `actionProvider` - object
  See Also:
    `getActionProvider()`

### getActionProvider

    HttpActionProvider getActionProvider()

  Returns the ActionProvider object

  Returns:
    the ActionProvider object
  See Also:
    `setActionProvider(com.sas.actionprovider.HttpActionProvider)`

### setRequest

    void setRequest(javax.servlet.http.HttpServletRequest request)

  Sets the Viewer's request object.

  Parameters:
    `request` - the Viewer's request
  See Also:
    `getRequest()`

### getRequest

    javax.servlet.http.HttpServletRequest getRequest()

  Returns the Viewer's request object

  Returns:
    the Viewer's request
  See Also:
    `setRequest(javax.servlet.http.HttpServletRequest)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.